FILE_RAISE(3)

NAME
file_raise() - controls raising of file_read_err and file_write_err

SYNOPSIS
file_raise(f,flag)
FILE *f;
BOOL flag;

DESCRIPTION
file_raise() can be used to control whether the conditions "file_read_err" and "file_write_err" are raised when an error occurs during an I/O function ( fileread(), filewrite() , etc) on FILE f. Calling file_raise() with the flag TRUE enables raising, calling it with flag FALSE disables raising. If raising is disabled and an error occurs the function will return an appropriate error code, this is equivalent to handling the condition and ignoring it. The default is to raise the conditions.

RETURNS
none

NOTES
none